Get a custom default folder Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/custom-default-folder/{customDefaultFolder_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • customDefaultFolder_uuid string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • description string

      The description of the custom default folders structure.

    • model string

      The model the default folders structure is for.

    • parameter string

      The parameter the default folders structure is for.

    • case_type object

      The case type object when model is "case" and the parameter is a valid case type UUID.

      Hide case_type attributes Show case_type attributes object
      • uuid string
      • name string
      • created_at string
      • updated_at string
    • structure array[object]

      The default folders structure.

      Hide structure attributes Show structure attributes object
      • name string
      • children array[object]
        Hide children attributes Show children attributes object
        • name string
        • children array
    • is_active boolean

      Whether the default folders structure is active.

    • for_existing boolean

      Whether the default folders structure is for existing clients.

GET /api/v1/custom-default-folder/{customDefaultFolder_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/custom-default-folder/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (201)
{
  "uuid": "1ebe08e6-0997-4ef2-893e-432ebd43136b",
  "created_at": "2026-06-11T13:19:57+01:00",
  "updated_at": "2026-06-11T13:19:57+01:00",
  "description": "Shared client default folders",
  "model": "client",
  "parameter": "client",
  "case_type": {
    "uuid": "83c08857-92b0-4ff5-8c51-5f1e02dfb568",
    "name": "Mortgage Plan",
    "created_at": "2026-06-11T13:19:57+01:00",
    "updated_at": "2026-06-11T13:19:57+01:00"
  },
  "structure": [
    {
      "name": "Documents",
      "children": [
        {
          "name": "Contracts",
          "children": []
        },
        {
          "name": "Emails",
          "children": []
        }
      ]
    },
    {
      "name": "Notes",
      "children": []
    }
  ],
  "is_active": true,
  "for_existing": true
}